Package org.apache.calcite.avatica.remote

## Class AvaticaHttpClientImpl

- java.lang.Object
- - org.apache.calcite.avatica.remote.AvaticaHttpClientImpl

All Implemented Interfaces:
  `AvaticaHttpClient`

    public class AvaticaHttpClientImpl
    extends java.lang.Object
    implements AvaticaHttpClient

A common class to invoke HTTP requests against the Avatica server agnostic of the data being sent and received across the wire.

### Field Summary

Fields
`protected java.net.URL` `url`

### Constructor Summary

Constructors
`AvaticaHttpClientImpl​(java.net.URL url)`

### Method Summary

All Methods Instance Methods Concrete Methods
`(package private) java.net.HttpURLConnection` `openConnection()`
`byte[]` `send​(byte[] request)` Sends a serialized request to the Avatica server.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### url

    protected final java.net.URL url

### Constructor Detail

#### AvaticaHttpClientImpl

    public AvaticaHttpClientImpl​(java.net.URL url)

### Method Detail

#### send

    public byte[] send​(byte[] request)

Description copied from interface: `AvaticaHttpClient`
Sends a serialized request to the Avatica server.

Specified by:
  `send` in interface `AvaticaHttpClient`
Parameters:
  `request` - The serialized request.
Returns:
  The serialized response.

#### openConnection

    java.net.HttpURLConnection openConnection()
                                       throws java.io.IOException

Throws:
  `java.io.IOException`